View Issue Details

IDProjectCategoryView StatusLast Update
0032550LazarusPackagespublic2020-03-23 00:53
ReporterdelfionAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product VersionProduct Build 
Target VersionFixed in Version 
Summary0032550: Jcf does not parse operator not declaration
Descriptionprogram test;
{$mode objfpc}
uses classes;

operator not (a:tpoint):tpoint;
begin
end;

begin
end.
TagsNo tags attached.
Fixed in Revisionr62799
LazTarget-
Widgetset
Attached Files
  • jcfnot.diff (629 bytes)
    Index: components/jcf2/Parse/BuildParseTree.pas
    ===================================================================
    --- components/jcf2/Parse/BuildParseTree.pas	(revision 55798)
    +++ components/jcf2/Parse/BuildParseTree.pas	(working copy)
    @@ -2359,7 +2359,7 @@
       OperatorTokens: TTokenTypeSet = [ttPlus, ttMinus, ttTimes, ttFloatDiv, ttExponent,
         ttEquals, ttGreaterThan, ttLessThan, ttGreaterThanOrEqual, ttLessThanOrEqual,
         ttAssign, ttPlusAssign, ttMinusAssign, ttTimesAssign, ttFloatDivAssign, ttXor,
    -    ttAnd, ttOr, ttEnumerator];
    +    ttAnd, ttOr, ttEnumerator, ttNot];
     begin
       Recognise(OperatorTokens);
     end;
    
    jcfnot.diff (629 bytes)
  • oper.diff (664 bytes)
    Index: components/jcf2/Parse/BuildParseTree.pas
    ===================================================================
    --- components/jcf2/Parse/BuildParseTree.pas	(revision 56963)
    +++ components/jcf2/Parse/BuildParseTree.pas	(working copy)
    @@ -2359,7 +2359,7 @@
       OperatorTokens: TTokenTypeSet = [ttPlus, ttMinus, ttTimes, ttFloatDiv, ttExponent,
         ttEquals, ttGreaterThan, ttLessThan, ttGreaterThanOrEqual, ttLessThanOrEqual,
         ttAssign, ttPlusAssign, ttMinusAssign, ttTimesAssign, ttFloatDivAssign, ttXor,
    -    ttAnd, ttOr, ttEnumerator];
    +    ttAnd, ttOr, ttEnumerator, ttNot, ttDiv, ttMod, ttIn, ttShl, ttShr];
     begin
       Recognise(OperatorTokens);
     end;
    
    
    oper.diff (664 bytes)

Activities

delfion

2017-10-14 20:59

reporter  

jcfnot.diff (629 bytes)
Index: components/jcf2/Parse/BuildParseTree.pas
===================================================================
--- components/jcf2/Parse/BuildParseTree.pas	(revision 55798)
+++ components/jcf2/Parse/BuildParseTree.pas	(working copy)
@@ -2359,7 +2359,7 @@
   OperatorTokens: TTokenTypeSet = [ttPlus, ttMinus, ttTimes, ttFloatDiv, ttExponent,
     ttEquals, ttGreaterThan, ttLessThan, ttGreaterThanOrEqual, ttLessThanOrEqual,
     ttAssign, ttPlusAssign, ttMinusAssign, ttTimesAssign, ttFloatDivAssign, ttXor,
-    ttAnd, ttOr, ttEnumerator];
+    ttAnd, ttOr, ttEnumerator, ttNot];
 begin
   Recognise(OperatorTokens);
 end;
jcfnot.diff (629 bytes)

delfion

2017-10-18 18:34

reporter   ~0103566

This report contains patch.

delfion

2018-01-05 14:05

reporter  

oper.diff (664 bytes)
Index: components/jcf2/Parse/BuildParseTree.pas
===================================================================
--- components/jcf2/Parse/BuildParseTree.pas	(revision 56963)
+++ components/jcf2/Parse/BuildParseTree.pas	(working copy)
@@ -2359,7 +2359,7 @@
   OperatorTokens: TTokenTypeSet = [ttPlus, ttMinus, ttTimes, ttFloatDiv, ttExponent,
     ttEquals, ttGreaterThan, ttLessThan, ttGreaterThanOrEqual, ttLessThanOrEqual,
     ttAssign, ttPlusAssign, ttMinusAssign, ttTimesAssign, ttFloatDivAssign, ttXor,
-    ttAnd, ttOr, ttEnumerator];
+    ttAnd, ttOr, ttEnumerator, ttNot, ttDiv, ttMod, ttIn, ttShl, ttShr];
 begin
   Recognise(OperatorTokens);
 end;

oper.diff (664 bytes)

delfion

2018-01-05 14:06

reporter   ~0105380

Last edited: 2020-03-22 08:33

View 3 revisions

Updated patch added.

delfion

2020-03-22 08:34

reporter   ~0121680

No response in reasonable time.

Juha Manninen

2020-03-23 00:53

developer   ~0121687

Applied, thanks.
Yes, sorry, your patches were ignored for a long time. Once an issue slips out from the bug tracker main page, it gets viewed less.

Issue History

Date Modified Username Field Change
2017-10-14 20:59 delfion New Issue
2017-10-14 20:59 delfion File Added: jcfnot.diff
2017-10-18 18:34 delfion Note Added: 0103566
2018-01-05 14:05 delfion File Added: oper.diff
2018-01-05 14:06 delfion Note Added: 0105380
2020-03-22 08:33 delfion Note Edited: 0105380 View Revisions
2020-03-22 08:33 delfion Note Edited: 0105380 View Revisions
2020-03-22 08:34 delfion Note Added: 0121680
2020-03-22 13:04 Bart Broersma Project Lazarus CCR => Lazarus
2020-03-22 17:30 Juha Manninen Assigned To => Juha Manninen
2020-03-22 17:30 Juha Manninen Status new => assigned
2020-03-23 00:53 Juha Manninen Status assigned => resolved
2020-03-23 00:53 Juha Manninen Resolution open => fixed
2020-03-23 00:53 Juha Manninen Fixed in Revision => r62799
2020-03-23 00:53 Juha Manninen LazTarget => -
2020-03-23 00:53 Juha Manninen Note Added: 0121687